Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jdbc
Class JdbcMessageRequesterFactory

    java.lang.Object
      org.mule.transport.AbstractMessageRequesterFactory
          org.mule.transport.jdbc.JdbcMessageRequesterFactory

All Implemented Interfaces:
  MessageRequesterFactory

    public class JdbcMessageRequesterFactory

extends AbstractMessageRequesterFactory

Creates JdbcMessageDispatchers.

Constructor Summary
`JdbcMessageRequesterFactory()`

Method Summary
`MessageRequester` | `create(InboundEndpoint endpoint)` Creates a new message requester instance, initialised with the passed endpoint.

Methods inherited from class org.mule.transport.AbstractMessageRequesterFactory
`activate, destroy, isCreateRequesterPerRequest, passivate, toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JdbcMessageRequesterFactory

    public JdbcMessageRequesterFactory()

Method Detail

### create

    public MessageRequester create(InboundEndpoint endpoint)
                            throws MuleException

  Description copied from interface: `MessageRequesterFactory`
  Creates a new message requester instance, initialised with the passed endpoint. The returned instance should be immediately useable.

  Specified by:
    `create` in interface `MessageRequesterFactory`
  Specified by:
    `create` in class `AbstractMessageRequesterFactory`
  Parameters:
    `endpoint` - the endoint for which this requester should be created
  Returns:
    a properly created `MessageRequester` for this transport
  Throws:
    `MuleException` - if the requester cannot be created

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.